VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "AbstractEmployee"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa AbstractEmployee
'Interfejs klas reprezentujących pracowników
'---------
Public Function getSalary() As Single
End Function
'---------
Public Function getName() As String
End Function
'---------
Public Function isLeaf() As Boolean
End Function
'---------
Public Sub add(nm As String, salary As Single)
End Sub
'---------
Public Sub addEmp(emp As AbstractEmployee)
End Sub
'---------
Public Function getSubordinates() As Subords
End Function
'---------
Public Sub remove(emp As AbstractEmployee)
End Sub
'---------
Public Function getChild(nm As String) As AbstractEmployee
End Function
'---------
Public Function getSalaries() As Single
End Function
'---------
Public Sub init(name As String, salary As Single)
End Sub
'---------
Public Sub makeBoss(emp As AbstractEmployee)
End Sub
